/*************************************************************************** 
  alienBlaster 
  Copyright (C) 2004 
  Paul Grathwohl, Arne Hormann, Daniel Kuehn, Soenke Schwardt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
***************************************************************************/
#include <vector>
#include "input.h"
#include "SDL.h"

using namespace std;

Input::Input(){
  keyStates = vector<bool>(256, false);
}

Input::~Input(){
}

void Input::push(SDL_Event *event){
  if (event->type == SDL_KEYDOWN) {
    keyStates[event->key.keysym.sym] = true;
  } else if(event->type == SDL_KEYUP) {
    keyStates[event->key.keysym.sym] = false;
  }
}

inline bool Input::isPressed(const SDLKey &key){
  return keyStates[key];
}
